Subject: Linux-Misc Digest #854
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Sat, 1 Oct 94 02:13:09 EDT

Linux-Misc Digest #854, Volume #2                 Sat, 1 Oct 94 02:13:09 EDT

Contents:
  Re: Linux goes commercial (Peter Mutsaers)
  ObjectBuilder problem, ... (Dongxiao Yue)
  Linux counter: There are 7808 registered Linux users ([email-masked])
  New User HOWTO proposal (David K. Merriman)
  Re: pkzip for dos? (NightHawk)
  Re: Maple V for linux! (William Huang)
  Re: Special Sale On QNX! (Aaron K. Michalove)
  Re: New Linux Distribution (David - Morris)
  Re: running linux from cdrom (Erik Ratcliffe)
  Re: New User HOWTO proposal (David K. Merriman)
  Re: 286 telnet P5 with Linux? (Info Monger)

----------------------------------------------------------------------------

From: [email-masked] (Peter Mutsaers)
Subject: Re: Linux goes commercial
Date: Fri, 30 Sep 1994 16:58:37 GMT

>> On 27 Sep 1994 10:54:58 GMT, [email-masked] (Champ
>> Clark) said:

  CC>   My boss swears up and down that he read somewhere that Linux
  CC>   is no longer going to be a "free" (when I say that,  I mean, 
  CC>   you dont have to buy it.. you can FTP it) anymore.  He states
  CC>   that the author (linus) has decided to make "linux" a commerical
  CC>   product.  I told him that I though this was odd,  and i figured

Apperently your boss projects his own evilness on every other person.

Apart from that, the whole Linux OS is made up of so many components
of so many people that noone could ever decide to make it
commercial. It is too much a joint 'net' project/effort.
--
Peter Mutsaers                  |  AT Computing bv,  P.O. Box 1428,
[email-masked]                    |  6501 BK  Nijmegen, The Netherlands
tel. work: +31 (0)80 527248     |
tel. home: +31 (0)3405 71093    |  "... En..., doet ie het al?"

------------------------------

Crossposted-To: comp.os.linux.help
From: [email-masked] (Dongxiao Yue)
Subject: ObjectBuilder problem, ...
Date: Wed, 28 Sep 1994 04:41:30 GMT

Hi, folks,

  I just installed OI for Linux, the thing does not look pretty as
  a Motif-like application(maybe I do not know where are the resources to set),
  another  serious problem is:
  with the default settings, all the dialogs do not have a title bar
  added by the window manager(Fvwm), so i can not move the palete dialog
  and all the other stuff poped-up. 

  Is there a way to tell the Fvwm to add the title bar? I checked
  the file uib.cf but found nothing.

Dongxiao

------------------------------

From: [email-masked]
Subject: Linux counter: There are 7808 registered Linux users
Date: 1 Oct 1994 03:00:05 +0100

This is the monthly report from the Linux Usage Counter.
It is posted on the 1st of every month on the newsgroup
comp.os.linux.misc

An uptodate version is always available by anonymous FTP from
ftp://aun.uninett.no/pub/misc/linux-counter, together with other
reports based on the same material.

To enter your registration into the statistics, send an E-mail to
[email-masked], with the SUBJECT line being one of

  I use Linux at home
  I use Linux at work
  I use Linux at school

The reply will contain information about how to register more
information about yourself, your machine and your friends, if you
want to.

If you can't do FTP, you can get the reports by sending the counter
an E-mail containing in the BODY one of the lines

//REPORT short
//REPORT persons
//REPORT machines
//HELP

Any questions should be adressed to the maintainer of the counter,
[email-masked]

Good luck!

=================================================================
Status of the Linux counter, as of Sat Oct  1 01:01:19 MET 1994

There are 7808 registered Linux users

I estimate this as being between 0.2 and 5% of the total number of Linux users,
giving the total community size something between 156.160 and 3.904.000 members.

See the file README.ESTIMATES for the details of why I think so.

PLACES WHERE LINUX IS USED
==========================
 Self Other   Sum %Sum  Place
 5897    85  5982  76% home
 1880    48  1928  24% work
  225   513   738   9% school
  583    52   635   8% somewhere
   59     0    59   0% not used
==========================
 7181   686  7867 100% TOTAL

NOTE: Some people use Linux in multiple places, so the total is not
the sum of the columns.

COUNTRIES WHERE LINUX IS USED
=============================
      Country                    Self Other   Sum  MPop Linux/M
===============================================================
 1 is Iceland                      12     0    12     0.3  46.0
 2 fi Finland                     225     0   225     5.0  45.0
 3 no Norway                      140     0   140     4.3  32.6
 4 nl Netherlands                 303     2   305    14.9  20.3
 5 dk Denmark                     103     1   104     5.1  20.2
 6 se Sweden                      156     2   158     8.6  18.1
 7 au Australia                   267     4   271    17.1  15.6
 8 de Germany                    1045    11  1056    79.1  13.2
 9 ca Canada                      350    22   372    26.6  13.2
10 at Austria                      94    11   105     7.6  12.4
11 us USA                        2962    52  3014   249.6  11.9
12 ch Switzerland                  74     0    74     6.7  11.0
13 si Slovenia                     19     1    20     2.0   9.7
14 gb Great Britain               402    10   412    57.2   7.0
15 ie Ireland                      23     0    23     3.5   6.6
16 be Belgium                      58   506   564     9.9   5.9
17 nz New Zealand                  19     2    21     3.4   5.6
18 lu Luxembourg                    2     0     2     0.4   5.1
19 ee Estonia                       8     4    12     1.6   5.0
20 fr France                      254    14   268    56.2   4.5
21 il Israel                       19     0    19     6.3   3.0
22 sg Singapore                     8     0     8     2.7   3.0
23 hk Hong Kong                    16     0    16     5.9   2.7
24 hu Hungary                      18     0    18    10.5   1.7
25 cr Costa Rica                    5     0     5     3.1   1.6
26 it Italy                        89     0    89    57.7   1.5
27 pt Portugal                     15     2    17    10.3   1.5
28 gr Greece                       14     0    14    10.1   1.4
29 cz Czech Rebublic               13     0    13    10.0   1.3
30 za South Africa                 39     0    39    30.2   1.3
31 hr Croatia                       6     0     6     4.8   1.3
32 es Spain                        49     5    54    39.5   1.2
33 cl Chile                        16     0    16    13.5   1.2
34 jp Japan                       140     0   140   123.3   1.1
35 tw Taiwan                       21     0    21    20.3   1.0
36 na Namibia                       1     0     1     1.5   0.7
37 pr Puerto Rico                   2     0     2     3.8   0.5
38 pl Poland                       17     8    25    38.4   0.4
39 sk Slovakia                      2     1     3     5.4   0.4
40 kr Korea (South)                14     0    14    43.1   0.3
41 uy Uruguay                       1     0     1     3.2   0.3
42 ro Romania                       7     0     7    23.2   0.3
43 lb Lebanon                       1     0     1     3.6   0.3
44 ve Venezuela                     5     0     5    20.1   0.2
45 ar Argentine                     6     0     6    32.7   0.2
46 my Malaysia                      3     0     3    18.0   0.2
47 ua Ukraine                       6     0     6    51.9   0.1
48 su Soviet Union (former)        17     3    20   147.4   0.1
49 bg Bulgaria                      1     0     1     8.8   0.1
50 br Brazil                       16     3    19   158.2   0.1
51 by Belarus                       1     0     1    10.4   0.1
52 co Colombia                      3     0     3    34.3   0.1
53 mx Mexico                        6     3     9    81.4   0.1
54 th Thailand                      4     0     4    57.6   0.1
55 cs Czechoslovakia (former)       1     0     1    15.7   0.1
56 ph Philippines                   3     0     3    68.5   0.0
57 xe Europe (Somewhere in it)     11     0    11   320.0   0.0
58 tr Turkey                        1     0     1    60.9   0.0
59 in India                         5     0     5   844.0   0.0
60 id Indonesia                     1     0     1   197.2   0.0
61 xw The World (Somewhere in i     2     0     2  5000.0   0.0
62 xx Unknown                       1    19    20  5000.0   0.0

------------------------------

From: [email-masked] (David K. Merriman)
Subject: New User HOWTO proposal
Date: Wed, 28 Sep 1994 03:59:38 GMT

In light of the experiences I've had getting Linux installed and configured, 
I'd like to offer to write a Linux New Users HOWTO.

I'm thinking that it could contain those little gems of wisdom that the 
experienced user has learned (like how to scroll back the boot screen(s)), 
what the different files are, and what their significance is, what programs in 
a "base" installation (broken down by disksets a, ap, d, i, n, t) do what (and 
how to invoke them - ie, what is bash/csh/man/etc.; "PICO is a basic text 
editor, similar to the MSDOS EDIT program.  To start using it, enter 
the line 'pico <filename>'; additional options will be displayed at the bottom 
of the screen. Text entered is stored in memory only, and you *must* save the 
buffer to a file to save the text you've entered." ), what the system files 
are and what their contents mean (rc.K, rc.M, etc), how to decide what actions 
to take when (when to make the kernel? how to automate stuff like mounting 
floppies/cdroms, etc), and so on.  I see it as being cross-referenced, not 
only internally, but to the other HOWTO's, indexed, the whole thing.  I know 
that some of the stuff I'm asking for already exists - to some degree - in 
other HOWTOs; much of it is buried or expressed in different terms and phrases 
that don't have quite the same meaning to a new user.  I'd like to have a try 
at changing that :-)

As a recent convert from the messydos/WinDoze world, with minimal Unix 
experience, I was hoping to find such a file to - as I put it - "hold my hand" 
as I was led into the Linux world.

It didn't exist, so I'd like to offer to be the one to create it.

I expect that some might scoff, but hopefully, enough of you will remember 
what it was like the first time *you* were stuck in front of a Linux or Unix 
box - and were thoroughly baffled by it, and didn't know quite where to start.

I doubt that I'll be able to attribute everyone's specific contributions, but 
I will make it more than clear that the file is *not* mine, other than as the 
one who pieced it together :-)

Please email your tips, tricks, or anything else that you've had to tell 
another Unix/Linux newbie.  Remember, it's up to you to explain things in 
kindergarden terms for us newbies, so code should be *heavily* commented, 
tips/tricks should be clearly explained as to function and method, and so on.

Thanks!

Dave Merriman
[email-masked]

------------------------------

From: [email-masked] (NightHawk)
Crossposted-To: comp.os.linux.help
Subject: Re: pkzip for dos?
Date: 27 Sep 1994 23:48:13 -0400

[email-masked] wrote:
: Hi All, 

: Does Linux have a utility to pkunzip DOS .zip files?  If yes, would

Yes.

: you tell what site it is on?  

I think I got mine from gatekeeper.dec.com.

: Thank you.

: [email-masked]

------------------------------

From: [email-masked] (William Huang)
Subject: Re: Maple V for linux!
Date: 28 Sep 94 07:28:17 GMT

In article <[email-masked]> [email-masked] (Shannon Hendrix) writes:
[email-masked] (Scott Weinstein) writes:
!
!>I havn't seen anything on the newsgroups about this... Maple V is
!>available for Linux. It looks and runs just like the Solaris version. 
!>The binaries are not staticly linked and the entire installation takes
!>up 24 MB. I'm impressed.
!

I'll be really impressed when they get Matlab working for Linux.

------------------------------

Crossposted-To: comp.os.linux.misc
From: [email-masked] (Aaron K. Michalove)
Subject: Re: Special Sale On QNX!
Date: Fri, 30 Sep 1994 05:26:46 GMT

: knowledgable and go the extra mile for the sale. And, we promise to BEAT
: ANYONE'S PRICE! A complete QNX developer's package starts at just $195! 
                
        You "BEAT ANYONE'S PRICE" huh? Beat Linux's then..PAY me to use it.
                        -Aaron

------------------------------

From: [email-masked] (David - Morris)
Subject: Re: New Linux Distribution
Date: 29 Sep 1994 07:24:12 GMT

>Juana Moreno ([email-masked]) wrote:
>:[...]

>: My distribution, tentatively called "WIn-dos Transition" (WIT), would have
>: the following features:
 
Seems to me that if someone is going to invest time in making it easier
to initially access linux, the effort would be better spent in improving
an existing distribution such as the Yggdrisil Plug&Play approach.
 
It will run from the provided boot floppy and cd-rom.  The curious can
try it, see if their hardware will be easily supported.

Some kind of file system emulated via a DOS file so that config data and
user home directories could be preserved w/o worry about harddrive space,
partitions, etc.  Same for SWAP space if required.

Yggdrisill still requires a few arcane decisions and some help getting
X started.

All the basic function could be present, just slow.  AND when ready, the
user has everything in hand to install the 'real' thing.

------------------------------

From: [email-masked] (Erik Ratcliffe)
Subject: Re: running linux from cdrom
Date: Wed, 28 Sep 1994 04:32:09 GMT

Ludo Daemen ([email-masked]) wrote:
: I'm new to the unix/linux world. I would like to give linux a try on my 
: machine. Only : I don't have 80 meg readily available on my drive to do a 
: full installation. 

: So : is it possible to keep part of the software on the distribution 
: CD-rom ??

        The Yggdrasil "Plug-and-Play" Linux CDROMs do just that; they allow
you to install a small system on your hard drive, and the rest runs from the
CD.  Also, I think TransAmeritech has a CDROM of Linux that does the same
thing.  Either of these would probably do a sufficient job (one note,
though: running programs from a CDROM that's double-speed or slower is
ssslllooooooowwwwwwwwww...  If you can handle the lack of speed without
pulling your hair out, you'll be fine; otherwise, I'd fork out a couple
hundred bucks and get another hard drive... :).

        I don't have the addresses/phone numbers for these companies handy,
but if you need them, drop me some e-mail and I'll dig them up for you.

-- 
|   (0)(0)         [email-masked]         |   "Drink up...  Happy Hour is   |
|    (oo)      Greetings from fragrant     |    now enforced by law."        |
|    =\/=   Old Town Alexandria, VA (USA)  |              -- Dead Kennedys   |

------------------------------

From: [email-masked] (David K. Merriman)
Subject: Re: New User HOWTO proposal
Date: Thu, 29 Sep 1994 05:33:53 GMT

In article <[email-masked]> [email-masked] (Matt Welsh) writes:
>In article <[email-masked]> [email-masked] (David 
K. Merriman) writes:>>In light of the experiences I've had getting Linux 
installed and configured, >>I'd like to offer to write a Linux New Users HOWTO.

>Your idea is a good one, but I fear that such a HOWTO would be
>extremely long. You want to cover everything from shells to 
>man pages to editors to kernel compliations. This is essentially
>what has been done in the I&GS, which covers these things and more.
>You can't condense this information considerably, and if you try
>to do so you'll lose the content. What's wrong with the I&GS?

I am not proposing to write the Ultimate Linux HOWTO; as I thought I made 
clear, I mean only to cover those items that come with a Linux "basic" 
installation.  Further, I wouldn't want to try and give detailed explanations 
of how to use all the programs that are installed; rather, brief 
single-paragraph descriptions and how-to-start-it-the-first-time instructions 
would be the goal.
As for the I&GS, it does *not* cover anything more than getting the most 
general and rudimentary Linux system installed.  On the other hand, the rest 
of the HOWTOs are excellent for the areas *they* cover (and very well, from 
what I can tell - but I'm limited in my knowledge of Linux).
Simply put, I'm proposing to generate a HOWTO to "bridge" between the I&GS, 
and the others, _briefly_ describe the _general_ function/purpose of the 
different applications (I installed the entire 4-disk AP set, and I'll be 
damned if I know what half that stuff is, or what it's for - I'm a _new user_; 
I don't *know* Unix/Linux yet. All I have is a Linux *system* to learn on), 
and give rudimentary instructions on how to start the program.  I hold my own 
question about how to extract a tar file as an example: my own limited 
knowledge led me to think that the "f" command-line option would only be 
appropriate if reading from a tape device - that it wouldn't be needed if I 
specified the directory/file.  Several kind folks pointed out my error, and 
how to correct it.  Now why should some other newbie like myself have to go 
through the same thing? Or similar, with a different program/utility, when the 
absolute basic operations can be quickly and easily explained?
As for making new kernels, I'd like to see something like a flowchart or 
cookbook approach: if This, then That, else the other Thing - if you did That, 
then you need to rebuild your kernel by doing a, b, c, d.  I *precisely* 
followed the instructions in the Installation howto; but either some details 
were missing, or I didn't understand what I was supposed to be doing: I could
boot off my hard drive or a floppy, but could *not* access the floppy drives 
or my soundblaster/cdrom.  Going through other howto files,and following the 
instructions I could find, I tried editing some of the files, and remaking the 
kernel.  Now the boot process stops after it configures the serial ports - and 
I mean _stops_ : I can enter text and such, but *never* get the prompt.  So 
now I have to go back through and try to figure out where it's getting 
confused, and how to undo what I did wrong :-)  I'd rather be actually *using* 
Linux for something, but if this turns out to help me learn more about it, 
then I can live with it; but it's time and effort expended that could be 
better spent on something more productive.

>Miscellaneous tips, tricks, and so forth are already 
covered in the >Tips-HOWTO, by Vince reed ([email-masked]). Please send that 
information>to him. I'd rather see people updating the current HOWTOs instead
>of trying to preempt what we already have.

Again, I'm not proposing the Ultimate Guide; simply the kinds of things that a 
new user would find helpful - like using SHIFT-PAGEUP to scroll back 
through the boot screens (to try and find out where their bad kernel make 
went off into the weeds :-)
The tips & tricks would be introduced at different points in the document - 
for example, the shift-pageup could be highlighted and placed right after a 
section on the kernel make sequence _and_ somewhere around a description of 
what all the boot messages mean.  That way, they'd be more likely to be 
rememberd in the appropriate context.

Simply put, I see the I&GS as the "bridge" between DOS/Windows/??? and Linux, 
and the other HOWTOs as roads to different places - I'm simply proposing to 
set up a stand at the end of the bridge, containing maps and directions, to 
help others that are new to the Land of Linux get started.

Dave Merriman

------------------------------

From: [email-masked] (Info Monger)
Subject: Re: 286 telnet P5 with Linux?
Date: Wed, 28 Sep 1994 07:56:43 GMT

Erik Mouw ([email-masked]) wrote:
: In article <[email-masked]>, [email-masked] (Lee Wai Han) writes:
: > Is it worth to set up a 286 system to telnet to a P5(with Linux installed)
: > to do somethings?
: > 
: > What things can a 286 do with such connections?
: > 
: > Do I have any better connection for choose? 
: > [ Say, null modem / terminal(?) ]
: > 
: > If connecting a 286 didn't worth anything, how about a 386?
: > 
: > Thank you in advance?

: Depends on what you want to do. A 286 with NCSA telnet is something like 
: a Linux machine in text mode with virtual consoles. At home I have a 386 
: running Linux, a 286 running NCSA telnet and a VT100 connected to the 
: 386. I prefer the 286 with NCSA telnet as "second workplace" because of 
: the virtual consoles. The VT100 is only for emergency purposes, such as 
: killing processes (as root).

: Erik

: --------------------------------------------------
: Erik Mouw, Department of Electrical Engineering,
: Delft University of Technology, The Netherlands
: email : [email-masked]

:         D  O  N  '  T     P  A  N  I  C  !

: --------------------------------------------------

: Why did the Roman Empire collapse?
: What is the Latin for office automation?
-- 
=============================================================================
Info Monger (alias: Tim J. Trowbridge [T.J.])
[email-masked]

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux.misc) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    sunsite.unc.edu				pub/Linux

End of Linux-Misc Digest
******************************